
QGIS Application - Bug report #21002

Qgis crash

2019-01-15 11:49 AM - Antonio Consoli

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.4.3 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28821

Description

User Feedback

Qgis crashed when I tried to change the field name in layer properties- source fields

Report Details

Crash ID: 0dacb20a9e49aed393ba31409d2d046016208db2

Stack Trace

QgsTableWidgetBase::removeButton_clicked :

QgsTableWidgetBase::removeButton_clicked :

QgsTabWidget::realTabIndex :

QgsTabWidget::hideTab :

QgsAttributeForm::updateConstraints :

QgsAttributeForm::onAttributeChanged :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsEditorWidgetWrapper::emitValueChanged :

QMetaObject::activate :

QWidgetLineControl::`default constructor closure' :

QComboBox::setCurrentIndex :

QComboBox::setCurrentIndex :

QgsValueMapWidgetWrapper::setValue :

QgsEditorWidgetWrapper::setFeature :

QgsAttributeForm::resetValues :

QgsAttributeForm::setFeature :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QgsVectorLayerUndoCommandRenameAttribute::redo :

QUndoStack::push :

QgsVectorLayerEditBuffer::renameAttribute :

QgsVectorLayer::renameAttribute :

QgsSourceFieldsProperties::attributesListCellChanged :

QMetaObject::activate :

QTableWidgetItem::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::dataChanged :

QTableWidget::itemAt :

QTableWidgetItem::setData :

QTableWidget::setCurrentItem :

QStyledItemDelegate::setModelData :

QAbstractItemView::commitData :

QMetaObject::activate :

QAbstractItemDelegate::commitData :

QAbstractItemDelegate::destroyEditor :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

2025-04-26 1/3



QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::setFocusWidget :

QWidget::setFocus :

QApplicationPrivate::giveFocusAccordingToFocusPolicy :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::showLayerProperties :

QgisApp::layerTreeViewDoubleClicked :

QMetaObject::activate :

QAbstractItemView::doubleClicked :

QTreeView::mouseDoubleClickEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: commit:2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0
System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-01-17 11:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please try with a new/clean profile.

If it does not makes any difference than add more details (and sample data) on how replicate.

#2 - 2019-02-24 12:55 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
